Package: org.apache.groovy.ginq.provider.collection.runtime

## [Groovy] Class NamedRecord<E, T>

- org.apache.groovy.ginq.provider.collection.runtime.NamedRecord

-     @CompileStatic
      @AutoFinal
      @POJO
      class NamedRecord<E, T>
      extends NamedTuple<E>

  Represents named record, which is constructed by clauses excluding `from` and joins

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NamedRecord(List<E> elementList, List<String> nameList, List<String> aliasList)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `get(String name)`
    `` | `List<String>` | `getAliasList()`
    `` | `Object` | `getAt(String name)`
    `` | `NamedRecord<E, T>` | `sourceRecord(T sr)`
    `` | `String` | `toString()`

- - ### Constructor Detail

    - #### NamedRecord(List<E> elementList, List<String> nameList, List<String> aliasList)

  - ### Method Detail

    - #### @Override
      Object get(String name)

    - #### List<String> getAliasList()

    - #### @Override
      Object getAt(String name)

    - #### NamedRecord<E, T> sourceRecord(T sr)

    - #### @Override
      String toString()